Subject: bug#36519: System frequently suspending after logout

From: Jack Hill <[email-masked]>
Date: Tue, 12 Nov 2019 15:12:01 -0500 (EST)

On Mon, 11 Nov 2019, Chris Marusich wrote:

> Josh Wheeler <[email-masked]> writes:
>
>> Problem: GuixSD frequently suspends on user logout or after selecting
>> "Log in as another user" from the lock screen.
>>
>> Occurs when returning to GDM from GNOME and i3 sessions on a fresh
>> GuixSD install.
>>
>> Expected: System should allow user logout / switching without sleeping.
>>
>> Thanks!
>
> Could this issue actually be the same issue that is described in the
> following email thread?
>
> "Who is sending my Guix System to sleep?"
> https://lists.gnu.org/archive/html/help-guix/2019-09/msg00172.html
> https://lists.gnu.org/archive/html/help-guix/2019-10/msg00213.html
>
> In the second email, Jack Hill describes a potential work-around.  I
> wonder if it might also work for the issue described in this bug report?

It seems like a slightly different issue. At least, I don't remember 
running into this. However, it seems reasonable to use the 
sleep-inactive-ac-type dconf setting as I describe to see if it helps with 
this behavior as well. Suspend-on-logout may also be controlled by a 
different dconf setting.

I'm not sure how helpful that was, but I did want to reply.

Best,
Jack